ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
ckeditor_3_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| view ($Options)

## Data Fields
| $ScriptWasIncluded = false
| $String = false
| $BlockSettings = false

## Detailed Description

Including ckeditor.

Author
  Dodonov A.A.

Definition at line 26 of file ckeditor.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 67 of file ckeditor.php.

{
try
{
$this->String = get_package( 'string' , 'last' , __FILE__ );
$this->BlockSettings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 98 of file ckeditor.php.

{
try
{
$PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
$PackagePath = _get_package_relative_path_ex( 'ckeditor' , '3.0.0' );
$PageJS->add_javascript( "{http_host}/$PackagePath/include/ckeditor.js" , false );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( |  | $Options | ) |

Function includes library.

Parameters

  $Options | - Settings.

Returns
  HTML code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 134 of file ckeditor.php.

{
try
{
return( '' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$BlockSettings = false

Definition at line 51 of file ckeditor.php.

$ScriptWasIncluded = false

Was script included.

Author
  Dodonov A.A.

Definition at line 38 of file ckeditor.php.

$String = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file ckeditor.php.

The documentation for this class was generated from the following file:

- packages/ckeditor/ckeditor.php